package com.zhyc.module.produce.manage_sheep.mapper;

import com.zhyc.module.produce.manage_sheep.domain.ScAddSheep;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ScAddSheepMapper {
    //新增羊只
    int insert(ScAddSheep scAddSheep);

    //查询新增羊只列表
    List<ScAddSheep> selectScAddSheepList(ScAddSheep scAddSheep);

    //修改羊只
    int updateScAddSheep(ScAddSheep scAddSheep);

    //删除羊只(支持批量)
    int deleteScAddSheepByIds(Integer[] ids);

    //根据耳号查询羊只
    ScAddSheep selectByEarNumber(String earNumber);
}

